import request from '@/utils/request'

// 查询厂家信息列表
export function listZtxxCj(query) {
  return request({
    url: '/system/ztxxCj/list',
    method: 'get',
    params: query
  })
}

//厂家下拉框
export function selctListZtxxCj(query) {
  return request({
    url: '/system/ztxxCj/selctListZtxxCj',
    method: 'get',
    params: query
  })
}
// 查询厂家信息详细
export function getZtxxCj(id) {
  return request({
    url: '/system/ztxxCj/' + id,
    method: 'get'
  })
}

// 新增厂家信息
export function addZtxxCj(data) {
  return request({
    url: '/system/ztxxCj',
    method: 'post',
    data: data
  })
}

// 修改厂家信息
export function updateZtxxCj(data) {
  return request({
    url: '/system/ztxxCj',
    method: 'put',
    data: data
  })
}

// 删除厂家信息
export function delZtxxCj(id) {
  return request({
    url: '/system/ztxxCj/' + id,
    method: 'delete'
  })
}
